# AsideForm
弹出的form表单

## 用法

具体使用如下：

```html
<aside-form :show="isShow" title="测试" tablename="t_userfile" :model="model">
    <form role="form"  novalidate partial>
      <div class="form-group">
        <label for="exampleInputEmail1">姓名</label>
        <input type="text" class="form-control" placeholder="姓名"
        v-model="model.name"  v-validate:name='{ required: true }'>
        <span v-if="$v.name.required">不能为空</span>
      </div>
      ...
    </form>
</aside-form>
```
其中：
- model: 要保存的表单数据，默认为空Object
- tablename: 表单保存的表名
- title：弹出框标题
- width: 默认为400。
- placement：弹出的方向，分左右弹出，默认为右边
- show: 是否显示弹出框，默认为不显示
- finishClose: 表单保存成功后是否自动关闭弹出框，默认为自动关闭


## 使用注意事项
1. model有默认值，并且会自动对model中和表单书数据进行初始化，所以，如果是新建数据的话，可以不用传递model
2. 针对需要初始化的组件入v-select、datepicker等不用手动初始化，并且表单提交时会自动将v-select的选项转化为数组
3. 组件已经使用验证，验证不成功时，保存按钮不可点击，使用from时可以根据需求选择使表单验证，也可不是用表单验证

## 测试用例

请参考AsideForm测试用例。
