# DataGrid

以表格方式显示一批数据

## 用法

把数据通过model参数传递给DataGrid组件，表头内容通过名称为head的partial传递给DataGrid组件，每行显示的内容通过名称为body的partial传递给DataGrid组件，汇总信息显示内容通过名称为foot的partial传递给DataGrid组件。

```html
<data-grid :model='model'>
  <template partial='head'>
    <tr>
      <th>姓名</th>
      <th>年龄</th>
    </tr>
  </template>
  <template partial='body'>
    <td>{{row.name}}</td>
    <td>{{row.age}}</td>
  </template>
  <template partial='foot'>
    <td>汇总</td>
    <td>{{model.sums.age}}</td>
  </template>
</data-grid>
```

注意，表头可以包含多行，所有包含的行通过template合并到一起。每行显示的内容包括多列，这些列也通过template合并在一起。

## model参数

传递给组件的model必须满足下述要求。

- rows: 数组类型，存放所有数据行。
- sums：对象类型，存放汇总信息。
- refresh: 函数，重新进行数据加载。

通常使用PagedList即可，PagedList使用请参考[PageList](PagedList.md)。

## thumbWidth
滚动条宽度，默认宽度为8，一般浏览器宽度为16px,由于修改了产品滚动调的样式，统一使用8px

## 固定列与固定表头
1. 表头默认固定，不用做任何操作
2. 列的固定，需要在列上加class, 左侧固定加```class="stickToLeft"```, 右侧固定加```class="stickToRight"```

## 行数据显示

每行数据用row获得，如上例中的row.name显示每行数据的name属性。

## 删除数据

如果要删除数据，必须使用PagedList作为模型，在删除数据的按钮上，调用model的remove方法，如下：
```
model.remove(url, row)
```
将url替换成要删除数据的地址即可。

## 选择

DataGrid支持选择功能，具体参考[Selector](Selector.md)描述。

## 特殊样式
对于需要特殊样式显示的表格，可以使用classname将样式名传入，默认样式名为'table table-hover'.
