# DataOrderType
表头排序组件

## 用法
```html
<data-grid :model='model'>
  <template partial='head'>
    <tr>
      <th>  
            <data-order-type
              field="f_meternumber"
              name="表号"
              :order.sync="$parent.$parent.$parent.orderFields.f_meternumber"
              :orderfields = "$parent.$parent.$parent.orderFields"
              orderdefault = "f_userid"
              searchtype="sql"
              :model = "$parent.$parent.$parent.model"
              @search="$parent.$parent.$parent.search">
            </data-order-type>
      </th>
    </tr>
  </template>
  ...
</data-grid>
```

## 参数
- field： 需要排序的字段
- order： 排序的规则，分为三种： asc, desc, no,默认为no
- name： 排序列的表头名
- orderfields： 由需要排序的字段名组成的json对象,字段对应的值均为no、desc或asc
- orderdefault： 默认的排序字段
- searchtype： 选择排序为sql或path，传入对应的字符串
- model： PageList组件查询返回的model
- search： 接收search事件,执行search函数

## 事件
- 每次点击可排序表头时，会发送'search'事件,
- 每次点击排序时，规则按照asc->desc->no循环进行切换，顺序不变

**Search函数需要自己实现**
例如:
 search () {
      this.$refs.paged.$refs.cri.search()
 },
