## ExportExcel

导出Excel文件，调用业务逻辑完成导出功能

## 用法

以为业务逻辑是调用restful的服务，所以只要将任意项目中restful更新为最新版本即可
具体导出文档参考git仓库中restful项目中restful/docs/Excel导入导出.md说明文档
1. 导出部分字段
```html
导出指定字段<export-excel :data="{orderitem: 'lastinputdate desc', condition: '1=1'}"
:field="{f_userid: '用户编号', f_username: '用户姓名', f_address: '用户地址'}"
sqlurl="rs/excel/userHPDetail"></export-excel>
```
2. 导出数据库中所有字段
```html
<export-excel :data="{orderitem: 'lastinputdate desc', condition: '1=1'}"
:field="{xmlPath: '营收/handplan.hbm.xml'}"
sqlurl="rs/excel/userHPDetail"></export-excel>
```
3. 使用模板导出复杂表头Excel
```html
<export-excel :data="{orderitem: 'lastinputdate desc', condition: '1=1'}" sqlurl="rs/excel/report/tablePrint/抄表导Excel模板"></export-excel>
```
## 参数

导出Excle时，数据是从查询sql中筛选出来，所以需要传入sql路径，并将sql需要的参数一同传入（因为逻辑也需要调用这个sql获取数据，所以sql必须为可执行）
data：查询sql需要传递的一些参数，需要将sql变为一条可执行的sql，有condition时，给1=1即可
field：需要导出的字段，格式为json格式，字段对应的汉子名；需要导出去全部的字段时，传入对应表的xml文件路径
sqlurl：查询条件的sql路径，固定为“rs/excel/sql名”，使用模板导出excel时为"rs/excel/report/sql模块名/Excel模板文件名(不带.xlsx)"
total：统计行，有统计字段时使用

  *注意把带有表头模板的excel文件放入资源的excel目录下, 并在数据的第一行第一列所在单元加上注释。*
## 测试用例

请参考ExporEXcel测试用例
