# Map

高德地图组件，用于显示高德地图的相关显示。

## 配置

* 在index.html中引入高德地图授权Key和高德地图官方UI组件。添加以下代码
```
    <script src="http://webapi.amap.com/maps?v=1.4.6&key=b2f31515e965bcd12c53eead80314f99"></script>
    <script src="http://webapi.amap.com/ui/1.0/main.js?v=1.0.11"></script>
```
* 在webpack.base.conf.js中module后面，vue之前添加以下代码
```
    externals: {
  	    'AMap': 'AMap',
  	    'AMapUI': 'AMapUI'
    },
```
* 确保package.json中有vue-amap组件

## 使用说明

* 发送的为post请求
* 将path修改成你的后台请求路径
* 将postData修改成你后台需要的的参数
* 返回数据(resopse.data)格式示例:
```
{
    "total": 161,
    "rows": [
        {
            "jwx": "108.878458",
            "jwy": "34.236343"
        },
        ...
    ],
    "localRows": [
        {
            "address": null,
            "name": "西安银行",
            "iconurl": "http://webapi.amap.com/theme/v1.3/markers/n/mark_r.png",
            "x": "108.893929",
            "y": "34.237496",
            "telephone": 123,
            "id": 6,
            "type": "秦华"
        },
        ...
    ],
    "retmsg": "请求地图数据成功",
    "retcode": "0"
}
```
- retcode为0时，表示有外部接口数据，获取rows里面的数据
  retcode不为0时，表示无外部接口数据，既rows没有数据，不去获取rows里面的数据
- localRows为本地数据库里面取到的数据。



## data说明

- path: 获取标记点数组请求路径
- postData:获取后台数据的参数
- map: 显示地图实例
- geolocation: 定位功能对象
- placeSearch:地点查询对象
- driving:驾车线路规划对象
- position:定位点
- parameters:  西安银行ATM接口需求，将参数放在数组中
- R: 半径 (单位:千米) 围栏显示范围
- searchNearByData: searchNearBy中要查的名称
- markerType:界面上分类显示按钮菜单
- markerData:要标记的点——本地数据库和西安银行ATM位置提取数据的集合
- localRows:本地数据库获取的数据初始化
- rows: 西安银行ATM位置后台数据初始化

## methods说明

- startPost:发送请求
- unique:分类显示下拉菜单数据去重
- searchNearByAPI:POI搜索插件，用于搜索周边
- makeCircle:画以position（定位点坐标）为中心R为半径的的围栏
- markerDataToMap：将所有从后台拿到的点数据标记到地图上
- changeType:分类显示下拉菜单选中处理


