# PrintElement

标签元素内的数据打印。

## 用法

把表格打印组件直接当做按钮使用，会将所有展现出字段的所有数据全部连续打印，如下：

```html
<template>
<div>
  <div id="ceshiprint">
    <p>打印数据</p>
    <style id="style1">
      td{
        height: 50px;
        width: 50px;
        text-align: center;
      }
      table{
        margin: auto;
      }
      h1{
        text-align: center;
      }
    </style>
    <div id="print1">
      <h1>榆林天然气公司居民用户安检登记表</h1>
      <table border="1">
        <tr>
          <td colspan="2">用户编号</td><td colspan="2"></td><td colspan="2">用户姓名</td><td colspan="2"></td><td colspan="2">身份证</td><td colspan="5"></td>
        </tr>
        <tr>
          <td colspan="2">地址</td><td colspan="6"></td><td colspan="2">联系电话</td><td colspan="5"></td>
        </tr>
        <tr>
          <td rowspan="4">用户情况</td><td colspan="2">总购气量</td><td></td><td colspan="2">表号</td><td colspan="2"></td>
          <td rowspan="5">用户设备登记情况 </td><td>热水器</td><td></td><td>品牌</td><td></td><td>生产日期</td><td></td>
        </tr>
        <tr>
          <td colspan="2">月均购气量</td><td></td><td colspan="2">表型</td><td colspan="2"></td><td>灶具</td><td></td>
          <td>品牌</td><td></td><td>生产日期</td><td> </td>
        </tr>
        <tr>
          <td colspan="2">已用气量</td><td></td><td colspan="2">灶前压力</td><td colspan="2"></td><td>壁挂炉</td><td></td>
          <td>品牌</td><td></td><td>生产日期</td><td> </td>
        </tr>
        <tr>
          <td colspan="2"> 剩余气量</td><td></td><td colspan="4">左表□右表□</td><td rowspan="2" colspan="6"></td>
        </tr>
        <tr>
          <td  colspan="1">燃气设施检查内容</td><td  colspan="7"></td>
        </tr>
        <tr>
          <td  colspan="1">隐患排查情况</td><td  colspan="7"></td>
          <td  colspan="1">用户</td><td  colspan="6"></td>
        </tr>
        <tr>
          <td rowspan="2" colspan="1">其他说明</td><td  colspan="14"></td>
        </tr>
        <tr>
          <td  colspan="14"></td>
        </tr>
        <tr>
          <td colspan="2">用户签字</td><td  colspan="3"></td>
          <td colspan="2">安检员签字</td><td  colspan="3"></td>
          <td colspan="2">用户意见</td><td  colspan="3"></td>
        </tr>
      </table>
    </div>
  </div>
   <print-element id='print1' styleid='style1'
                 top='40' left='60' width='100%' height='100%'>
    </print-element>
 </div>
</template>
```
其中：
- id: 要打印标签内元素的id
- styleid: 打印的样式id（不传用默认打印样式），注意，这个样式只能写在template中不然通过id获取不到
- top: 打印项在纸张内的上边距，整数或字符型，整数时缺省长度单位为px
- left: 打印项在纸张内的左边距，整数或字符型，整数时缺省长度单位为px
- width: 打印项在纸张的宽度，整数或字符型，整数时缺省长度单位为px
- height: 打印项在纸张的高度，整数或字符型，整数时缺省长度单位为px

</br></br>
**注意：为了保证打印的内容和所看到的内容一致，表头字符串必须和页面显示的表头标签一致，顺序不可变，字段值也必须一一对应，不可错乱**


## 测试用例

请参考PrintElement测试用例用法。
