# PrintTable

连续表格中的数据打印。

## 用法

把表格打印组件直接当做按钮使用，会将所有展现出字段的所有数据全部连续打印，如下：

```html
<print-table :model='$parent.model'
:top='40' :left='60' :right='40' :bottom='60'
:thead='"<th>最后抄表日期</th><th>用户编号</th>" +
"<th>用户姓名</th><th>用户地址</th>"
+ "<th>是否缴费</th><th>应交气量</th>"
+ "<th>应交金额</th><th>本次抄表底数</th>"
+ "<th>上次抄表底数</th><th>上次抄表日期</th>"'
:fields='["lastinputdate","f_userid","f_username","f_address","shifoujiaofei","oughtamount","oughtfee","lastrecord","lastinputgasnum","scinputdate"]'>
</print-table>
```
其中：
- model: 列表数据，为所有数据
- top: 打印项在纸张内的上边距，整数或字符型，整数时缺省长度单位为px
- left: 打印项在纸张内的左边距，整数或字符型，整数时缺省长度单位为px
- right: 打印项在纸张内的右边距，整数或字符型，整数时缺省长度单位为px
- bottom: 打印项在纸张内的下边距，整数或字符型，整数时缺省长度单位为px
- thead: 表头html字符串
- fields: 要进行打印的字段名
</br></br>
**注意：为了保证打印的内容和所看到的内容一致，表头字符串必须和页面显示的表头标签一致，顺序不可变，字段值也必须一一对应，不可错乱**


## 测试用例

请参考PrintTable测试用例用法。
