#使用规则
- 打印表单的组件是一个按钮，
- 你需要打印页面上的表单时，
- 只需要将该组件写入到你想写的地方

# 写法
```html
  <report-print id="test" top='3cm' left='0' width='100%' height='100%'></report-print>
```
# 参数
- id 打印区域元素的id
- top: 打印项在纸张内的上边距，整数或字符型，整数时缺省长度单位为px
- left: 打印项在纸张内的左边距，整数或字符型，整数时缺省长度单位为px
- width: 打印区域的宽度，整数或字符型，整数时缺省长度单位为px
- height: 打印区域的高度，整数或字符型，整数时缺省长度单位为px

# 注意事项
 1. 由于报表返回的字符串含有table标签，页面也需要在外部添加一些特殊需求的表头和表尾，但是打印控件并不能识别两个嵌套的table标签，所有在在报表返回的字符串中将table标签的标签字符串整个使用substring(26,model.data.length-8)截取删除，具体请参考ReportExcel测试用例中的Report，对于复杂的表格采用同样的方式
 1. 对于报表返回的列数不缺的表格需要将td标签替换为th标签，并为其设定id,通过计算属性获取对应的列数，并在使用列数的地方使spans即可
```html
    <th style="font-weight: normal;"  id="test">
    {{{ model.data.substring(26,model.data.length-8) }}}
    </th>

    <script>
      import DataModel from '../../../src/stores/DataModel'
      export default {
        data () {
          return {
            model: new DataModel('rs/report/mianzhouchao', {startDate: 'this.model.startDate', endDate: 'this.model.endDate'}),
            spans: ''
          }
        },
        watch: {
          'model.data' (val) {
            let tab = document.getElementById('test').children[0]
            this.spans = tab.cells.length
          }
        }
      }
    </script>
```
