# TreeGrid
表格树

## 用法

表格树本质是将tree组件与data-grid组件功能综合，数据格式为tree的数据格式，展现形式为data-grid表格形式，表格的每一行，为当前行的节点数据，基本的使用同data-grid组件使用相同，只是对body的首个td做了特殊处理，对于body首个td需要用tree-grid-item处理树节点，tree-grid-item本质是tree的一部分，为了方便使用表格数组件（tree-grid）单独抽取一个组件，暂不能单独使用

```html
<tree-grid :model="model" @select-changed="selected">
  <template partial='head'>
    <tr>
      <th>树结构</th>
      <th>名称</th>
      <th>父节点</th>
      <th>子个数</th>
      <th>是否展开</th>
    </tr>
  </template>
  <template partial='body'>
    <td>
      <tree-grid-item :row="row">
        <span partial>{{row.data.name}}</span>
      </tree-grid-item>
    </td>
    <td>{{row.data.name}}</td>
    <td>{{row.parent.data ? row.parent.data.name : ''}}</td>
    <td>{{row.size}}</td>
    <td>{{row.open}}</td>
  </template>
</tree-grid>
```
partail中row.data代表树的每一个节点的数据。

## 自动展开所有节点

* 调用树组件openNode(),展开所有节点，不用传如任何参数

## model

传递给tree-grid和传入tree组件的数据一直，必须具有层次结构，每个节点特殊属性如下：

* children：数组，代表所有子节点
* size：整形，代表子节点个数。对异步数据，在没有加载所有子节点前，需要把子节点个数先加载过来，以便确定该节点是否叶子节点。

model例子如下：
```
data () {
  return {
    model: [
      {name: '根节点', size: 1, children: [
        {name: '子节点', size: 0}
      ]}
    ]  
  }
}
```
## 选择
DataGrid支持选择功能，具体参考[Selector](Selector.md)描述。
