# VSelect

下拉选项框。

## 用法

在需要使用下拉选项的地方使用
```html
<v-select :value.sync="model.f_name"
    :options='selects' placeholder='请选择'
    close-on-select clear-button></v-select>
<script>
    data () {
      return {
        model: {
          f_name: ''
        },
        selects: [
          {label: 'a', value: 'a'},
          {label: 'b', value: 'b'},
          {label: 'c', value: 'c'}
        ]
      }
    }
  </script>
```
当使用GetParams插件获取下拉内容时
```html
<v-select :value.sync="model.f_name"
    :options='selects' placeholder='请选择'
    close-on-select clear-button></v-select>
<script>
    data () {
      return {
        model: {
          f_name: ''
        }
      }，
      computed: {
        selects () {
          return this.$getParams('银行名', '')
        }
      }
    }
  </script>
```
## 参数列表说明
* options: Array，下拉选项内容
* value： 已选择项
* placeholder： String 未选择时显示的文字，默认'请选择'
* multiple： Boolean 是否多选，默认false
* search： Boolean 是否带搜素框，默认false
* limit： Number 选项个数， 默认1024
* disabled： Boolean 是否不可操作，默认false（可操作）
* maxHeight： [Number,String], 选项区域最大高度，默认300（px）
* valueSingle： Boolean 是否单选，默认false，为true时，value的值将为String而非Array
* filerKey： String， 选择过滤字段，如果传入options中每一项的value为object，并且object没有id属性或id属性不能作为过滤属性时，需要传入过滤字段
* direction： String 选项展开方向默认为down，可以传入'up',选项区域将会位于下拉框的上部
* align： String 选项展开时与下拉框的对齐方式，默认left（选项区域与下拉框左对齐），可以传入'right',选项区域与下拉框右对齐

## 事件
- change: 选择发生变化触发，携带变化后的内容
- selected： 选择发生变化后，携带已选择内容


## 方法

* 一般配合GetParams使用，从资源服务中获取下拉选项内容，具体参考VSelect测试用例，也可以参考Criteria和DataForm测试用例
* 在使用从资源服务中取值时，selects中不用设置任何值，一般在reday生命周期钩子中调用$getParams函数获取相应内容并设置
* 在value.sync属性中，model.f_name不能为null，否则页面出错
