# 图表组件集合

- 由于图表组件参数较多，封装组件不易，所以暂时不做基础组件封装，如需图表，可在自己的组件中添加，添加参照柱状图表组件做法，具体的图表和参 数可以参照ECharts官网`http://echarts.baidu.com/`中`文档-配置参数`和`作品-官方示例`中给出的例子，也可将示例中option里面的内容复制到自己的代码中setOption()中就可以正常使用
- 图表组件集合包含所有的图表组件的说明
- 在client.less文件中添加了id选择器样式，所有的图表容器必须包含id='charts'的属性，清楚div高度100%对样式的影响



## 图表组件依赖echarts库，需要安装
- 图表组件依赖库可以通过两个方法安装
1. npm安装：在项目中使用`npm install echarts --save`
2. 拷贝有echarts库的node-models依赖库

## 如何制作图表

1. 在需要使用的图表的组件中引入echarts模块`import echarts from 'echarts'`

2. 在模板中添加如下标签

```html
  <div id="charts" class="auto">
    <div id="main" :style="{width:'600px',height:'400px'}" class="auto"></div>
  </div>
```
其中width、height和特殊的样式根据自己的需求而定

3. 在script脚本中设置数据

```html
  <script>
    ready () {
      this.myChart = echarts.init(document.getElementById('main'))
      this.setChart(...参数)
    },
    methods: {
      setChart (...参数) {
        this.myChart.setOption({
          ...可参照官网示例中option中的内容，其中各个参数的含义可查询官网`文档-配置参数`
        })
      }
    }
  </script>
```
4. 因为数据是动态，所以可以使用观察，在数据变动后，重新setOption()


## 柱状图表组件（BarChart）
示例如下：
```html
<bar-chart :xdata="xdata"
:sdata="sdata" title="柱状图表测试例子"></bar-chart>

<script>
export default {
  data () {
    return {
      xdata: ['衬衫', '羊毛衫', '雪纺衫', '裤子', '高跟鞋', '袜子', '拉萨', '喀什'],
      sdata: [5, 10, 15, 20, 25, 30, 35, 40]
    }
  }
}
</script>
```
- 参数说明
1. title: 图表的表明
2. xdata: 柱状图表x轴上的列信息
3. sdata: 对应列的数据
4. sname: 鼠标悬停当列是，显示数量上的文字

**注意：xdata和sdata的数据必须一一对应，否则不能正确的显示**
测试用例参考BarChart

## 饼状图表
（调试中，调试完成后补充说明文档）
