# html标签使用
- 用header表示区域头部。
- 用footer表示区域尾部。
- 用section表示区域主体。
- 用aside表示边栏。

# 竖向布局

在布局容器上加flex类，充满剩余空间的部分加span类。如下：

```html
<div class='flex'>
  <header>头部</header>
  <section class='span'>主体</section>
  <footer>尾部</footer>
</div>
```

# 左右布局

左右布局只支持左右两块，对于多块，可以嵌套使用左右两块完成，左边部分用固定宽度，并加pull-left类完成。如下：

```html
<div>
  <aside class='pull-left' style="width: 240px;">左边栏</aside>
  <section>主体</section>
</div>
```

# 竖向高度控制

- div, article, section, aside默认高度为100%，如果不想充满，在这些标签上加auto类。如下：

```html
<div class="auto"></div>
```

- 在其它希望充满的元素上，加full类。这种情况一般不会出现。如下：

```html
<table class="full"></table>
```

# 竖向滚动控制

在希望进行竖向滚动控制的标签上，添加over类，如下：

```html
<aside class='over'></aside>
```

# 其它情况

其它情况遵循bootstrap规范制作。
