# 表单验证
- 自定义验证器


# API
- telphoneValid ：手机号验证，验证规则：11位数字，以1开头
- passwordValid ：密码验证，验证规则：6-18位必须由字母、数字组成可包含下划线
- equalValid ：重复密码验证，验证规则：两次密码输入是否一致想，调用时须将上次输入的密码传入，请参考VSelect测试用例
- cardValid ：卡号验证，验证规则：10位数字组成
- validValid ：验证码验证，验证规则：4位数字组成
- allowValid ：限购验证，验证规则：输入值不可大于限购值，调用时须将上最大值传入，请参考VSelect测试用例，请参考VSelect测试用例
- emailValid ：邮箱验证，验证规则：
  把邮箱地址分成“第一部分@第二部分”， 第一部分：由字母、数字、下划线、短线“-”、点号“.”组成，
  第二部分：为一个域名，域名由字母、数字、短线“-”、域名后缀组成，
  而域名后缀一般为.xxx或.xxx.xx，一区的域名后缀一般为2-4位，如cn,com,net

# 用法

在需要添加验证的位置添加
```html
<div class="form-group" style="height: auto;">
  <label  for="phonenum" class="col-sm-2 control-label">手机号码:</label>
  <div class="col-sm-2">
    <input type="text" class="form-control " id="phonenum" placeholder="136××××××××"
     v-validate:phonenum="['telphoneValid']" />
     <span v-if="$v.phonenum.telphoneValid">请认真核对电话号码</span>
  </div>
</div>
```
或者
```html
<div class="form-group" style="height: auto;">
  <label  for="f_userid" class="col-sm-2 control-label">用户编号:</label>
  <div class="col-sm-2">
    <input type="text" class=" form-control" id="f_userid" placeholder="用户编号"
     v-model="model.f_userid" v-validate:f_userid='{ required: true }' />
     <span v-if="$v.f_userid.required">不能为空</span>
  </div>
</div>
```
当需要传递多个参数或多个验证器同时校验时
```html
    v-validate:password="['验证器1','验证器2']" ,或者带参数v-validate:repassword="{ 验证器1: 参数, 验证器2: [参数1，参数2...] }"
```
# 测试用例
请参考Validator测试用例用法。
