﻿import Vue from 'vue'

import VueResource from 'vue-resource'
import Partial from './plugins/Partial'
import MessageBoxPlugin from './plugins/MessageBox'
import HttpStore from '../src/plugins/HttpStore'
import HttpReset from '../src/plugins/HttpReset'
import HttpBatch from '../src/plugins/HttpBatch'
import RoutePlugin from '../src/plugins/Route'
import GetParams from '../src/plugins/GetParams'
import AlertBoxPlugin from './plugins/AlertBox'

import VueValidator from 'vue-validator'
import OwnValidator from './validation/OwnValidation'
import directives from './directives/directives'

import findBy from './filters/filter'

// 引入所有组件
import EmbbedPage from '../src/components/EmbbedPage'
import AppBase from './components/AppBase'
import Busy from './components/Busy'
import Criteria from './components/Criteria'
import CriteriaPaged from './components/CriteriaPaged'
import DataGrid from './components/DataGrid'
import GridTree from './components/GridTree'
import HttpBusy from './components/HttpBusy'
import List from './components/List'
import MessageBox from './components/MessageBox'
import Pager from './components/Pager'
import Tree from './components/Tree'
import Route from './components/Route'
import Dynamic from './components/Dynamic'
import FormPrint from './components/FormPrint'
import ReportPrint from './components/ReportPrint'
import ReportExcel from './components/ReportExcel'
import PrintTable from './components/PrintTable'
import PrintFile from './components/PrintFile'
import ReportSave from './components/ReportSave'
import LoadParams from './components/LoadParams'
import ExportExcel from './components/ExportExcel'
import FileUpload from './components/FileUpload'
import DataTable from './components/DataTable'
import CriteriaSbutatol from './components/CriteriaSbutatol'
import Chooser from './components/Chooser'
import SelectMenu from './components/SelectMenu'
import TopMenu from './components/TopMenu'
import PrintFormCont from './components/PrintFormCont'
import ImgSelf from './components/ImgSelf'
import LeftIcon from './components/LeftIcon'
import CardGrid from './components/CardGrid'
import ManageParams from './components/ManageParams'
import EntityForm from './components/EntityForm'
import PartialView from './components/PartialView'
import VInput from './components/Input'
import DataOrder from './components/DataOrder'
import AvatarUpload from './components/AvatarUpload'
import Keyboard from './components/Keyboard'
import TextEditor from './components/TextEditor'
import CaseContainer from './components/CaseContainer'
import Timeline from './components/Timeline'
import TimelineItem from './components/TimelineItem'
import TreeGrid from './components/TreeGrid'
import TreeGridItem from './components/TreeGridItem'
import AMap from './components/AMap'
import WorkBusy from './components/WorkBusy'
// 引入vue-strap组件
import Tabset from './vue-strap/src/Tabset'
import Tab from './vue-strap/src/Tab'
import Modal from './vue-strap/src/Modal'
import VSelect from './vue-strap/src/Select'
import Datepicker from './vue-strap/src/Datepicker'
import Typeahead from './vue-strap/src/Typeahead'
import Dropdown from './vue-strap/src/Dropdown'
import Spinner from './vue-strap/src/Spinner'
import Aside from './vue-strap/src/Aside'
import Tooltip from './vue-strap/src/Tooltip'
import Popover from './vue-strap/src/Popover'
import Alert from './vue-strap/src/Alert'
import Panel from './vue-strap/src/Panel'
import Accordion from './vue-strap/src/Accordion'
import Slider from './vue-strap/src/Slider'
import Carousel from './vue-strap/src/Carousel'

import VueLogger from '../src/plugins/VueLogger'

export default function () {
  Vue.config.debug = true
  Vue.use(VueResource)
  Vue.mixin(Partial)
  Vue.mixin(RoutePlugin)
  Vue.use(MessageBoxPlugin)
  Vue.use(HttpStore)
  Vue.use(HttpBatch)
  Vue.use(HttpReset)
  Vue.use(VueValidator)
  Vue.use(GetParams)
  Vue.use(VueLogger)
  Vue.use(AlertBoxPlugin)

  // 全局注册基础组件
  Vue.component('app-base', AppBase)
  Vue.component('busy', Busy)
  Vue.component('criteria', Criteria)
  Vue.component('criteria-paged', CriteriaPaged)
  Vue.component('data-grid', DataGrid)
  Vue.component('grid-tree', GridTree)
  Vue.component('http-busy', HttpBusy)
  Vue.component('list', List)
  Vue.component('message-box', MessageBox)
  Vue.component('pager', Pager)
  Vue.component('tree', Tree)
  Vue.component('route', Route)
  Vue.component('dynamic', Dynamic)
  Vue.component('form-print', FormPrint)
  Vue.component('report-print', ReportPrint)
  Vue.component('report-excel', ReportExcel)
  Vue.component('print-table', PrintTable)
  Vue.component('print-file', PrintFile)
  Vue.component('report-save', ReportSave)
  Vue.component('load-params', LoadParams)
  Vue.component('export-excel', ExportExcel)
  Vue.component('file-upload', FileUpload)
  Vue.component('data-table', DataTable)
  Vue.component('criteria-sbutatol', CriteriaSbutatol)
  Vue.component('chooser', Chooser)
  Vue.component('select-menu', SelectMenu)
  Vue.component('top-menu', TopMenu)
  Vue.component('print-form-cont', PrintFormCont)
  Vue.component('img-self', ImgSelf)
  Vue.component('left-icon', LeftIcon)
  Vue.component('card-grid', CardGrid)
  Vue.component('manage-params', ManageParams)
  Vue.component('entity-form', EntityForm)
  Vue.component('partial-view', PartialView)
  Vue.component('v-input', VInput)
  Vue.component('data-order', DataOrder)
  Vue.component('avatar-upload', AvatarUpload)
  Vue.component('keyboard', Keyboard)
  Vue.component('text-editor', TextEditor)
  Vue.component('case-container', CaseContainer)
  Vue.component('timeline', Timeline)
  Vue.component('timeline-item', TimelineItem)
  Vue.component('tree-grid', TreeGrid)
  Vue.component('tree-grid-item', TreeGridItem)
  Vue.component('amap', AMap)
  Vue.component('work-busy', WorkBusy)
  // 注册vue-strap组件
  Vue.component('tabset', Tabset)
  Vue.component('tab', Tab)
  Vue.component('modal', Modal)
  Vue.component('v-select', VSelect)
  Vue.component('datepicker', Datepicker)
  Vue.component('typeahead', Typeahead)
  Vue.component('dropdown', Dropdown)
  Vue.component('spinner', Spinner)
  Vue.component('aside', Aside)
  Vue.component('tooltip', Tooltip)
  Vue.component('popover', Popover)
  Vue.component('alert', Alert)
  Vue.component('accordion', Accordion)
  Vue.component('panel', Panel)
  Vue.component('carousel', Carousel)
  Vue.component('slider', Slider)
  Vue.component('embbed-page', EmbbedPage)
}
