import  Vue from 'vue'
import VueLogger from './VueLogger'

export default {
  install(Vue, options) {
    Vue.eventBack = Vue.prototype.$eventBack = function (services) {
       return eventback(services)
    }
  }
}

let eventback = async function (services) {
  VueLogger.allowGadgets(['EventBack'])
  let success = true
  let index = 0
  // 依次执行services中每个服务
  for (; index < services.length; index++) {
    let ret = services[index].doAction()
    //如果服务为异步，则等待结果
    if (ret instanceof Promise) {
      Vue.console.log('ret is promise', 'EventBack')
      ret = await ret
    }
    //当有服务执行失败，则停止服务继续执行
    if (!ret) {
      success = false
      break
    }
  }
  // 服务全成功时，全部提交
  if (success) {
    for (let i = 0; i < index; i++) {
      await services[i].commit()
    }
  } else {
    // 否则，已执行的服务全回滚
    for (let i = 0; i < index; i++) {
      await services[i].rollback()
    }
  }
}


