import Vue from 'vue'

export default {
  install(Vue, options) {
    // 全屏方法,传入要全屏的id
    Vue.prototype.$launchFullscreen = function (element) {
      if (this.$isFullscreen()) {
        this.$exitFullscreen()
        return
      }
      element = document.getElementById(element)
      if (element.requestFullscreen) {
        element.requestFullscreen();
      } else if (element.mozRequestFullScreen) {
        element.mozRequestFullScreen();
      } else if (element.webkitRequestFullscreen) {
        element.webkitRequestFullscreen();
      } else if (element.msRequestFullscreen) {
        element.msRequestFullscreen();
      }
    },
    // 判断当前是否全屏
    Vue.prototype.$isFullscreen = function () {
      //!document.webkitIsFullScreen都为true。因此用!!
      return !!(document.webkitIsFullScreen || document.mozFullScreen || document.msFullscreenElement || document.fullscreenElement)
    }
    // 退出全屏
    Vue.prototype.$exitFullscreen = function () {
      if (document.exitFullscreen) {
        document.exitFullscreen();
      } else if (document.msExitFullscreen) {
        document.msExitFullscreen();
      } else if (document.mozCancelFullScreen) {
        document.mozCancelFullScreen();
      } else if (document.webkitExitFullscreen) {
        document.webkitExitFullscreen();
      }
    }
  }
}
