import Vue from 'vue'
import co from 'co'
import cryptJS from "./EncryptUtil";

// post执行过程`
let postGen = function * (method, url, data, self) {
  if (self.isBusy === true) {
    self.xhr.abort()
  }
  self.isBusy = true
  // 如果需要提醒，显示提醒框
  try {
    let dataRet = yield self.http(method, url, data)
    self.isBusy = false
    return dataRet
  } catch (error) {
    self.isBusy = false
    throw error
  }
}

export default class HttpLoad {

  constructor () {
    this.xhr = new XMLHttpRequest()
    // 设置超时时间, 毫秒
    this.xhr.timeout = 10000
    Vue.set(this, 'isBusy', false)
  }

  load (url, data) {
    let gen = postGen('POST', url, data, this)
    return co(gen)
  }

  // 处理http请求
  http (method, url, body) {
    return new Promise((resolve, reject) => {
      if (!body) {
        body = {}
      }
      if(Vue.mmType){
        if(Vue.mmType=='AES' && (url.indexOf('rs/sql')!=-1 || url.indexOf('rs/logic')!=-1
          || url.indexOf('rs/search')!=-1 || url.indexOf('rs/path')!=-1
          || url.indexOf('rs/user')!=-1 || url.indexOf('rs/entity')!=-1)){
          var data = {}
          data.aoteEncrypt = Vue.mmType
          data.data = cryptJS.AESEncrypt(JSON.stringify(body), Vue.mm)
          body = data
        }
      }
      this.xhr.onload = function () {
          if (this.status === 200) {
            //Vue.console.info(`http返回: ${this.responseText}`, 'HttpLoad')
            let data = null
            try {
              // 根据返回类型，处理返回值
              data = JSON.parse(this.responseText)
            } catch (error) {
              data = this.responseText
            }
            if(Vue.mmType){
              if(Vue.mmType=='AES' && (url.indexOf('rs/sql')!=-1 || url.indexOf('rs/logic')!=-1
                || url.indexOf('rs/search')!=-1 || url.indexOf('rs/path')!=-1
                || url.indexOf('rs/user')!=-1 || url.indexOf('rs/entity')!=-1)){
                data=cryptJS.AESDecrypt(data, Vue.mm)
              }
            }
            resolve({data: data})
          } else {
            Vue.console.warn(`http异常, 错误码：${this.status}, 错误信息：${this.response}`, 'HttpLoad')
            reject({status: this.status, data: this.response})
          }
      }
      this.xhr.onabort = function () {
        Vue.console.warn(`请求被终止！`, 'HttpLoad')
        reject({status: 610, data: '请求被终止！'})
      }
      this.xhr.ontimeout = function () {
        Vue.console.warn(`请求超时!`, 'HttpLoad')
        reject({status: 611, data: '请求超时'})
      }
      this.xhr.onerror = function () {
        Vue.console.error(`网络故障!`, 'HttpLoad')
        reject({status: 612, data: '网络故障'})
      }

      Vue.console.info(`http请求: ${url}`, 'HttpLoad')
      this.xhr.open(method, url, true)
      this.xhr.send(JSON.stringify(body))
    })
  }
}
