import HttpResetClass from './HttpResetClass'

let HttpReset = new HttpResetClass()
HttpReset.install = function (Vue, options) {
  // 给Vue增添post方法
  Vue.resetpost = Vue.prototype.$resetpost = (url, data,
                                              {
                                                warnMsg = null,
                                                resolveMsg = '恭喜！提交成功！',
                                                rejectMsg = '提交错误！',
                                                type = 'json',
                                                silent = false,
                                                aoteEncrypt = Vue.mmType,
                                                encryKey = Vue.mm,
                                                newly = false
                                              } = {}, time = Vue.timeout) => {
    if (newly) {
      return new HttpResetClass().load('POST', url, data, {warnMsg, resolveMsg, rejectMsg, type, silent, aoteEncrypt, encryKey}, time)
    }
    return HttpReset.load('POST', url, data, {warnMsg, resolveMsg, rejectMsg, type, silent, aoteEncrypt, encryKey}, time)
  }

  // 给Vue增添get方法
  Vue.resetget = Vue.prototype.$resetget = (url,
                                            {
                                              warnMsg = null,
                                              resolveMsg = null,
                                              rejectMsg = '获取数据错误！',
                                              silent = false,
                                              newly = false
                                            } = {}) => {
    if (newly) {
      return new HttpResetClass().load('GET', url, {}, {warnMsg, resolveMsg, rejectMsg, silent})
    }
    return HttpReset.load('GET', url, {}, {warnMsg, resolveMsg, rejectMsg, silent})
  }

  // 给Vue增添delete方法
  Vue.resetdelete = Vue.prototype.$resetdelete = (url, data,
                                                  {
                                                    warnMsg = '删除数据不可恢复，确认删除吗？',
                                                    resolveMsg = '恭喜！删除成功！',
                                                    rejectMsg = '删除失败：',
                                                    silent = false
                                                  } = {}) => {
    return HttpReset.load('DELETE', `${url}/${data.id}`, {}, {warnMsg, resolveMsg, rejectMsg, silent})
  }
}

export default HttpReset
