import Vue from 'vue'
import Tree from 'src/components/Tree'
import all from 'src/all'

all()

const createElm = function () {
  const elm = document.createElement('div')

  // elm.id = 'app' + ++id
  document.body.appendChild(elm)

  return elm
}

describe('Tree.vue', () => {
  let vm = null
  it('显示', () => {
    vm = new Vue({
      data: {
        model: [
          {
            name: '根节点', size: 1, children: [
              {
                name: '子节点1', size: 2, children: [
                  {name: '子节点11', size: 0},
                  {
                    name: '子节点12', size: 1, children: [
                      {name: '子节点121', size: 0}
                    ]
                  }
                ]
              }
            ]
          }
        ]
      },
      template: '<div><tree :model="model"><span partial>{{row.data.name}}</span></tree></div>',
      components: { Tree }
    }).$mount(createElm())
    assert.include(vm.$el.innerText, '根节点')
  })

  it('添加子节点', async function () {
    let treeNode = vm.$children[0]
    // 展开第一项
    await treeNode.toggle(treeNode.toNode[0])
    let oneNode = treeNode.toNode[0].children[0]
    console.log("第一个: ", oneNode)
    // 添加一个节点
    let data = {name: '新加的子节点', size: 0}
    treeNode.addNode(oneNode, data)

  })

})

// also see example testing a component with mocks at
// https://github.com/vuejs/vue-loader-example/blob/master/test/unit/a.spec.js#L24-L49
