import TestUtil from 'src/test/TestUtil'
import TreeMixin from 'src/mixins/TreeMixin'
import all from 'src/all'

all()

describe('TreeMixin', () => {
  let vm
  it('显示', async function () {
    vm = TestUtil.createTest(TreeMixin, {url: 'rs/path/address_getChild'})
  })

  it('展开所有子', async function() {
    vm.model =
      [
        {name: '根节点', size: 1, children: [
            {name: '子节点1', size: 2, children: [
                {name: '子节点11', size: 0},
                {name: '子节点12', size: 1, children: [
                    {name: '子节点121', size: 0}
                  ]}
              ]}
          ]}
        ]
    await new Promise((resolve, reject) => {
      vm.$nextTick(() => {
        resolve()
      })
    })
    await vm.openAll()
  })

  it('展开后台', async function() {
    await vm.toggle({id: 1, children:[]})
  })

  it('刷新已打开节点', async function() {
    // node的子节点已存在
    let child = {id: 2, level: 2, data:{}}
    vm.toNode = [child]
    let node = {id: 1, children:[child], open: true, level: 1}
    await vm.refreshChild(node)
    debugger
  })

  it('刷新未打开节点', async function() {
    let node = {id: 1, children:[], open: false, level: 1}
    await vm.refreshChild(node)
    debugger
  })
})

// also see example testing a component with mocks at
// https://github.com/vuejs/vue-loader-example/blob/master/test/unit/a.spec.js#L24-L49
