import Vue from 'vue'
import all from 'src/all'
import TestUtil from 'src/test/TestUtil'
import Test from './Test'

describe('plugins/Config.js: 配置内容加载', () => {
  before(() => {
    all()
  })

  it('获取配置', async function() {
    // 测试组件
    let vm = TestUtil.createTest(Test, {})
    // 设置用户
    Vue.$login = {jwt: '20853'}
    await Vue.getConfig(vm, 'ReissueBill')
    assert.equal('abc', vm.config.configOne)
    assert.equal(true, vm.config.hasBill)
  })

  it('未获取到配置', async function() {
    // 测试组件
    let vm = TestUtil.createTest(Test, {})
    // 设置用户
    Vue.$login = {jwt: '11'}
    await Vue.getConfig(vm, 'ReissueBill')
    assert.equal('abc', vm.config.configOne)
    assert.equal(false, vm.config.hasBill)
  })
})

// also see example testing a component with mocks at
// https://github.com/vuejs/vue-loader-example/blob/master/test/unit/a.spec.js#L24-L49
