import EventBack from 'src/plugins/EventBack'
import Vue from "vue";

describe('src/plugins/EventBack: 分布式事务', () => {
  it('运行', async function () {
    let servcie = [{
      doAction () {
        return new Promise((resolve, reject) => {
          setTimeout(() => {
            console.log('one do')
            resolve(true)
          }, 1000)
        })
      },
      commit () {
        return new Promise((resolve, reject) => {
          setTimeout(() => {
            console.log('one commit')
            resolve()
          }, 1000)
        })
      },
      rollback () {
        return new Promise((resolve, reject) => {
          setTimeout(() => {
            console.log('one rollback')
            resolve()
          }, 1000)
        })
      }
    }, {
      doAction () {
        return new Promise((resolve, reject) => {
          setTimeout(() => {
            console.log('tow do')
            resolve(false)
          }, 1000)
        })
      },
      commit () {
        return new Promise((resolve, reject) => {
          setTimeout(() => {
            console.log('two commit')
            resolve()
          }, 1000)
        })
      },
      rollback () {
        return new Promise((resolve, reject) => {
          setTimeout(() => {
            console.log('tow rollback')
            resolve()
          }, 1000)
        })
      }
    }]
    await Vue.eventBack(servcie)
  })
})

