import TestUtil from 'src/test/TestUtil'
import Select from 'src/vue-strap/src/Select'

describe('Select.vue 选择框单选非数组测试', () => {
  let vm = null
  before(() => {
    vm = TestUtil.createTest(Select, {
      options: [
        {label: '民用', value: '民用'},
        {label: '非民用', value: '非民用'},
        {label: '其他', value: '333'}
      ],
      valueSingle: true
    })
  })

  it('默认值测试', () => {
    vm.value = '非民用'
    expect(vm.selectedItems).to.equal('非民用')
  })

  it('选择测试', () => {
    vm.select('民用')
    expect(vm.value).to.equal('民用')
  })

  it('将value绑定值设为null', () => {
    vm.value = null
    expect(vm.value).to.equal(null)
  })

  it('设置null后再次选择', () => {
    vm.select('民用')
    console.log(vm.options, 'options')
    console.log(vm.value, 'value')
    expect(vm.value).to.equal('民用')
  })

  it('设置Number后再次选择', () => {
    vm.select(33)
    console.log(vm.value, 'value')
    expect(vm.value).to.equal(33)
  })

  it('设置数组后查看value值', () => {
    vm.select(['33'])
    console.log(vm.value, vm.value.length)
    console.log(vm.valueSingle, 'valueSingle')
    expect(vm.value).to.contain(['33'])
  })

  it('设置double后查看value', () => {
    vm.select(3.22)
    console.log(vm.value)
    expect(vm.value).to.equal(3.22)
  })

  it('设置对象object后查看value', () => {
    vm.select({name: 'hanle'})
    console.log(vm.value, '设置对象object后查看value')
    expect(vm.value).to.contain({name: 'hanle'})
  })
})
